<?php get_header(); ?>

		<?php if (have_posts()) : ?>
			<div class="post">
				<h2 class="pagetitle">Search Results</h2>
			</div>
			
			<?php while (have_posts()) : the_post(); ?>
				<div class="post">
					<p class="postmetadata">Published on <?php the_time('l, F jS, Y'); ?> @ <?php the_time('H:i:s')?>.</p>
					<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<p class="postmetadata">Posted in <?php the_category(', ') ?> <strong>|</strong> <?php edit_post_link('Edit','','<strong>|</strong>'); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p>	
					<div class="entry">
						<?php the_excerpt() ?>
					</div>
					<!--
					<?php trackback_rdf(); ?>
					-->
				</div>
			<?php endwhile; ?>
			
			<div class="navigation">
				<div class="alignleft"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
				<div class="alignright"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
			</div>
			
		<?php else : ?>

			<div class="post">
				<h2 class="center">Not Found</h2>
				<div class="entry">
					<?php include (TEMPLATEPATH . '/searchform.php'); ?>
				</div>
			</div>
			
		<?php endif; ?>

<?php get_footer(); ?>
