<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
	
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />

	<style type="text/css" media="screen">
		@import url( <?php bloginfo('stylesheet_url'); ?> );
	</style>

	<link rel="shortcut icon" type="image/ico" href="<?php bloginfo('stylesheet_directory'); ?>/imagenes_qwilm/favicon.gif" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php wp_get_archives('type=monthly&format=link'); ?>

	<?php wp_head(); ?>

</head>

<body>
	<?php if(function_exists('wp_admin_bar')) wp_admin_bar(); ?>
	
	<div id="header">
		<div id="headerimg">
			<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
			<div class="description"><?php bloginfo('description'); ?></div>
		</div>

		
		<ul id="nav">
			
			<!-- // Code to support Sticky Menu plugin.
					If you'd like to use it, just uncomment out the code below
					and comment out the "wp_list_pages" code underneath
			<?php
					// Test if Sticky Menu plugin is active, then display menu items for menu 'main'
					$current_plugins = get_option('active_plugins'); 
					if (in_array('stickymenu/stickymenu.php', $current_plugins)) { 
						$menu = new stickymenu;
						$menu->display_menu('menu=main'); # To display menu 'main'
					};	
					?>		
			-->
			
			<!-- // Code to support WP's "wp_list_pages" tag -->
			<li><a href="<?php echo get_settings('home'); ?>/">Home</a></li>
			<?php wp_list_pages('title_li=' ); ?>
		
			
		</ul>
	</div>

<div id="wrapper">
	<div id="content">