<?php get_header(); ?>

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div class="post">
			<h2 class="post-title" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to'); ?> <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<div class="post-date-meta">
			<span class="date"><?php the_time('l, M jS, Y') ?> <!-- by <?php the_author() ?> --></span><br />
			<span class="postmeta"><?php _e('Categories:'); ?> <?php the_category(', ') ?><?php edit_post_link(__('Edit'), ' &#183; ', ''); ?></span>
			</div>
			<?php if (is_search()) { ?>
				<?php the_excerpt() ?>
			<?php } else { ?>
				<?php the_content(__('Read the rest of this entry &raquo;')); ?>
			<?php } ?>
			
			
			<?php
			if (function_exists('the_bunny_tags')) {
				_e('<p class="tags">');
				the_bunny_tags('<strong>technorati tags:</strong> ');
				_e('</p>');
			}
			?>
			
			

			
		</div>
		

		<?php comments_template(); ?>
		
			
	<?php endwhile; else : ?>

		<h2><?php _e('Not Found'); ?></h2>

		<p><?php _e('Sorry, but the page you requested cannot be found.'); ?></p>
		
		<h3><?php _e('Search'); ?></h3>
		
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>


