<?php
	// This is the loop, which fetches entries from your database.
	// It is a delicate piece of machinery. Be gentle!
	?>
<?php /* Headlines for archives */ if ((!is_single() && !is_home()) || is_paged()) { ?>
<h2 class="pagetitle">
  <?php // Figure out what kind of page is being shown
			if (is_category()) {
				printf(__('Archive for the \'%s\' Category'), single_cat_title('',false));

			} elseif (is_day()) {
				printf(__('Archive for %s','unnamed'), get_the_time(__('F jS, Y','unnamed')));

			} elseif (is_month()) {
				printf(__('Archive for %s','unnamed'), get_the_time(__('F, Y','unnamed')));

			} elseif (is_year()) {
				printf(__('Archive for %s','unnamed'), get_the_time(__('Y','unnamed')));

			} elseif (is_search()) {
				printf(__('Search Results for \'%s\'','unnamed'), $s);

			} elseif (function_exists('is_tag') && is_tag()) {
				printf(__('Tag Archive for \'%s\'','unnamed'), get_query_var('tag') );

			} elseif (is_author()) {
		   		$post = $wp_query->post; $the_author = $wpdb->get_var("SELECT meta_value FROM $wpdb->usermeta WHERE user_id = '$post->post_author' AND meta_key = 'nickname'");
				printf(__('Author Archive for %s','unnamed'), $the_author );

			} elseif (is_paged() && ($paged > 1)) { 
				printf(__('Archive Page %s','unnamed'), $paged );
			} ?>
</h2>
<?php } ?>
<?php /* Start the loop */ if (have_posts()) { while (have_posts()) { the_post(); ?>
<?php /* Permalink nav has to be inside loop */ if (is_single()) include (TEMPLATEPATH . '/navigation.php'); ?>
<div id="post-<?php the_ID(); ?>" class="entry">
  <h2 class="entry-header"><a href="<?php the_permalink() ?>" rel="bookmark" title='Permanent Link to "<?php strip_tags(the_title()); ?>"'>
    <?php the_title(); ?>
    </a> </h2>
  <h3 class="date-header">
    <?php the_time('F jS, Y') ?>
    by
    <?php the_author() ?>
  </h3>
  <?php if (is_search() || (function_exists('is_tag') && is_tag())) {
					the_excerpt();
					} else {
					the_content(sprintf(__("Continue reading '%s'", 'unnamed'), the_title('', '', false)));
			} ?>
  <?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
  <!-- <?php trackback_rdf(); ?> -->
  <?php if (is_home() || is_archive() || (function_exists('is_tag') && is_tag())) { ?>
  <?php if(function_exists(UTW_ShowTagsForCurrentPost)) { ?>
  <small>
  <?php _e('Tags:','unnamed'); ?>
  <?php UTW_ShowTagsForCurrentPost("commalist") ?>
  .</small>
  <?php } ?>
  <p class="entry-footer">
    <?php edit_post_link('Edit Link','<span class="metaedit">','</span>'); ?>
    &nbsp;&nbsp; <span class="metapost">
    <?php the_category(','); ?>
    </span> &nbsp;&nbsp;
    <?php comments_popup_link('<span class="metacmt">'.__('Add a comment').'</span>', '<span class="metacmt">1&nbsp;'.__('Comment').'</span>', '<span class="metacmt">%&nbsp;'.__('Comments').'</span>', '', '<span class="metacmt">'.__('Closed').'</span>'); ?>
  </p>
  <?php } ?>
</div>
<?php  } /* End The Loop */ ?>
<?php /* Insert Paged Navigation */ if (!is_single()) { include (TEMPLATEPATH.'/navigation.php'); } ?>
<?php /* If there is nothing to loop */  } else { $notfound = '1'; ?>
<h2 class="center">
  <?php _e('Not Found','unnamed'); ?>
</h2>
<div class="entry">
  <p>
    <?php _e('Oh no! You\'re looking for something which just isn\'t here! Fear not however, errors are to be expected, and luckily there are tools on the sidebar for you to use in your search for what you need.','unnamed'); ?>
  </p>
</div>
<?php /* End Loop Init  */ } ?>
