<?php get_header(); ?>

		<?php if (have_posts()) : ?>
			<div class="post">
			 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>				
			<h2 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h2>
		
		<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
			
		<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>
			
		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
			
		<?php /* If this is a search */ } elseif (is_search()) { ?>
			<h2 class="pagetitle">Search Results</h2>
			
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<h2 class="pagetitle">Author Archive</h2>
			
		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h2 class="pagetitle">Blog Archives</h2>
			
			<?php } ?>
			</div>
			
			<?php while (have_posts()) : the_post(); ?>
				<div class="post">
					<p class="postmetadata">Published on <?php the_time('l, F jS, Y'); ?> @ <?php the_time('H:i:s')?></p>
					<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<p class="postmetadata">Category: <?php the_category(', ') ?> <strong>|</strong> <?php edit_post_link('Edit','','<strong>|</strong>'); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p>
				
					<div class="entry">
						<?php the_excerpt() ?>
					</div>
					<!--
					<?php trackback_rdf(); ?>
					-->
				</div>
			<?php endwhile; ?>

			<div class="navigation">
				<div class="alignleft"><?php posts_nav_link('','','&laquo; Previous') ?></div>
				<div class="alignright"><?php posts_nav_link('','Next &raquo;','') ?></div>
			</div>
	
		<?php else : ?>

			<h2 class="center">Not Found</h2>
			<?php include (TEMPLATEPATH . '/searchform.php'); ?>

		<?php endif; ?>

<?php get_footer(); ?>
