<div class="sidebar">
	<ul>
		<?php if ( function_exists(dynamic_sidebar) && dynamic_sidebar() ) : else : ?>
		<li id="search"><?php include(TEMPLATEPATH . '/searchform.php'); ?></li>
		<hr width="100%" />
		<li id="calendar"><h2><?php _e('Calendar'); ?></h2><?php get_calendar(); ?></li>
		<hr width="100%" />
		<?php wp_list_pages('title_li=<h2>Pages</h2>'); ?>
		<hr width="100%" />
		<?php if (function_exists('weighted_categories')) { ?>
		<li><h2><?php _e('Categories'); ?></h2></li>
		<?php
		$weighted = 0; 
		$colored = 1; 
		$minfont = 70;
		$maxfont = 250;
		$fontunit = "%";
		$lightcol = "#FFFFFF";
		$darkcol = "#666666";
		$category_ids_to_exclude = "1"; 
		weighted_categories($weighted, $colored, $minfont, $maxfont, $fontunit, $lightcol, $darkcol, $category_ids_to_exclude);
		?>
		<? } else { ?>
		<?php wp_list_cats('sort_column=name&optioncount=1&hierarchical=0'); ?>
		<? } ?>
		<hr width="100%" />
		<li>
			<h2><?php _e('Archives'); ?></h2>
			<ul>
				<?php wp_get_archives('type=monthly&format=custom'); ?>
			</ul>
		</li>
		<hr width="100%" />
		<li><?php get_links_list(); ?></li>
		<hr width="100%" />
		<?php if (function_exists('blc_latest_comments')) { ?>
		<li><h2>Latest Comments</h2></li>
		<ul class="latestactivity">
			<?php blc_latest_comments('5','3'); ?>
		</ul> 
		<? } ?>
		<hr width="100%" />
		<?php if (function_exists('wp_forecast')) { ?>
		<ul><li><?php wp_forecast(); ?></li></ul>
		<? } ?>
		<hr width="100%" />
		<li>
			<h2><?php _e("Meta"); ?></h2>
			<ul>
				<?php wp_register(); ?>
				<li><?php wp_loginout(); ?></li>
				<?php wp_meta(); ?>
			</ul>
		</li>
		<?php endif; ?>
	</ul>
</div>