<?php
	// check to see if the user has enabled gzip compression in the WordPress admin panel
	if ( ob_get_length() === FALSE and !ini_get('zlib.output_compression') and ini_get('output_handler') != 'ob_gzhandler' and ini_get('output_handler') != 'mb_output_handler' ) {
		ob_start('ob_gzhandler');
	}

	// The headers below tell the browser to cache the file and also tell the browser it is JavaScript.
	header("Cache-Control: public");
	header("Pragma: cache");

	$offset = 60*60*24*60;
	$ExpStr = "Expires: ".gmdate("D, d M Y H:i:s",time() + $offset)." GMT";
	$LmStr = "Last-Modified: ".gmdate("D, d M Y H:i:s",filemtime(__FILE__))." GMT";

	header($ExpStr);
	header($LmStr);
	header('Content-Type: text/javascript; charset: UTF-8');
?>
/*
 * FastInit
 * http://tetlaw.id.au/view/blog/prototype-class-fastinit/
 * Andrew Tetlaw
 * Version 1.1 (2006-06-19)
 * Based on:
 * http://dean.edwards.name/weblog/2006/03/faster
 * http://dean.edwards.name/weblog/2006/06/again/
 * http://creativecommons.org/licenses/by-sa/2.5/
 */
var FastInit = Class.create(); Object.extend(FastInit, { done : false, onload : function() { if (FastInit.done) return; FastInit.done = true; FastInit.actions.each(function(func) { func();})
}, actions : $A([]), addOnLoad : function(func) { if(!func || typeof func != 'function') return; FastInit.actions.push(func);}
}); FastInit.prototype = { initialize : function() { for(var x = 0; x < arguments.length; x++) { if(arguments[x]) FastInit.addOnLoad(arguments[x]);}
if (/WebKit/i.test(navigator.userAgent)) { var _timer = setInterval(function() { if (/loaded|complete/.test(document.readyState)) { clearInterval(_timer); delete _timer; FastInit.onload();}
}, 10);}
if (document.addEventListener) { document.addEventListener('DOMContentLoaded', FastInit.onload, false); FastInit.legacy = false;}
Event.observe(window, 'load', FastInit.onload);}}