<hr />
<div id="sidebar">
  <ul>
    <?php include (TEMPLATEPATH . '/searchform.php'); ?>
  </ul>
  <?php /* Category Archive */ if (is_category()) { ?>
  <p class="intro"> <?php printf(__('You are currently browsing the %1$s weblog archives for the %2$s category.','unnamed'), '<a href="' . get_settings('siteurl') .'">' . get_bloginfo('name') . '</a>', single_cat_title('', false) ) ?> </p>
  <?php /* Day Archive */ } elseif (is_day()) { ?>
  <p class="intro"> <?php printf(__('You are currently browsing the %1$s weblog archives for the day %2$s.','unnamed'), '<a href="' . get_settings('siteurl') .'">' . get_bloginfo('name') . '</a>', get_the_time(__('l, F jS, Y','unnamed'))) ?> </p>
  <?php /* Monthly Archive */ } elseif (is_month()) { ?>
  <p class="intro"> <?php printf(__('You are currently browsing the %1$s weblog archives for the month %2$s.','unnamed'), '<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>', get_the_time(__('F, Y','unnamed'))) ?> </p>
  <?php /* Yearly Archive */ } elseif (is_year()) { ?>
  <p class="intro"> <?php printf(__('You are currently browsing the %1$s weblog archives for the year %2$s.','unnamed'), '<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>', get_the_time('Y')) ?> </p>
  <?php /* Search */ } elseif (is_search()) { ?>
  <p class="intro"> <?php printf(__('You have searched the %1$s weblog archives for \'<strong>%2$s</strong>\'.','unnamed'),'<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>', wp_specialchars($s)) ?> </p>
  <?php /* Author Archive */ } elseif (is_author()) { ?>
  <div class="intro">
    <p><?php printf(__('Archive for <strong>%s</strong>.','unnamed'), get_the_author()) ?></p>
    <p>
      <?php the_author_description(); ?>
    </p>
  </div>
  <?php /* Paged Archive */ } elseif (is_paged()) { ?>
  <p class="intro"> <?php printf(__('You are currently browsing the %s weblog archives.','unnamed'), '<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>') ?> </p>
  <?php } elseif (function_exists('is_tag') && is_tag()) { ?>
  <p class="intro"> <?php printf(__('You are currently browsing the %1$s weblog archives for \'%2$s\' tag.','unnamed'), '<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>', get_query_var('tag') ) ?> </p>
  <?php /* Permalink */ } elseif (is_single()) { ?>
  <p class="intro"> This entry was posted on
    <?php the_time('l, F jS, Y') ?>
    at
    <?php the_time() ?>
    , in
    <?php the_category(', ') ?>
    <?php if (function_exists(UTW_ShowTagsForCurrentPost)) { ?>
    and tagged under
    <?php UTW_ShowTagsForCurrentPost("commalist") ?>
    <?php } ?>
    .
    You can follow any responses to this entry through the
    <?php comments_rss_link('RSS 2.0'); ?>
    feed.
    <?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) { /* Both Comments and Pings are open */ ?>
    You can <a href="#comment">leave a response</a>, or <a href="<?php trackback_url(true); ?>" rel="trackback">trackback</a> from your own site.
    <?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) { /* Only Pings are Open */ ?>
    Responses are currently closed, but you can <a href="<?php trackback_url(true); ?> " rel="trackback">trackback</a> from your own site.
    <?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) { /* Comments are open, Pings are not */ ?>
    You can skip to the end and leave a response. Pinging is currently not allowed.
    <?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) { /* Neither Comments, nor Pings are open */ ?>
    Both comments and pings are currently closed.
    <?php } edit_post_link('Edit this entry.','',''); ?>
  </p>
  <?php } ?>
  <?php if (is_search() || (function_exists('is_tag') and is_tag())) { ?>
  <p class="intro">
    <?php _e('Longer entries are truncated. Click the headline of an entry to read it in its entirety.','unnnamed'); ?>
  </p>
  <?php } ?>
  <?php /* Frontpage */ if (is_home() || (is_page() && get_option('unnamed_showsidebarpage') == 1) || (is_archive() && get_option('unnamed_showsidebarcat') == 1) || (is_single() && get_option('unnamed_showsidebarsingle') == 1) ) { ?>
  <div class="left-sidecolumn">
    <ul>
      <?php /* if the Sidebar Widgets plugin is enabled */ if ( function_exists('dynamic_sidebar') && dynamic_sidebar(1) ) : else : ?>
      <?php /* Menu for subpages of current page */
		global $notfound;
		if (is_page() && ($notfound != '1')) {
			$current_page = $post->ID;
			while($current_page) {
				$page_query = $wpdb->get_row("SELECT ID, post_title, post_status, post_parent FROM $wpdb->posts WHERE ID = '$current_page'");
				$current_page = $page_query->post_parent;
			}
			$parent_id = $page_query->ID;
			$parent_title = $page_query->post_title;

			if ($wpdb->get_results("SELECT * FROM $wpdb->posts WHERE post_parent = '$parent_id' AND post_status != 'attachment'")) {
	?>
      <li class="sb-pagemenu">
        <h2><?php echo $parent_title; ?>
          <?php _e('Subpages','unnamed'); ?>
        </h2>
        <ul>
          <?php wp_list_pages('sort_column=menu_order&title_li=&child_of='. $parent_id); ?>
          <?php if ($parent_id != $post->ID) { ?>
          <li><a href="<?php echo get_permalink($parent_id); ?>"><?php printf(__('Back to %s','unnamed'), $parent_title ) ?></a></li>
          <?php } ?>
        </ul>
      </li>
      <?php } } ?>
      <li>
        <h2>
          <?php _e('Latest','unnamed'); ?>
        </h2>
        <span><a href="<?php if ( get_option('unnamed_rss') != '') { echo (get_option('unnamed_rss')); } else { echo bloginfo('rss2_url'); } ?>" title="<?php _e('RSS Feed for Blog Entries','unnamed'); ?>" class="feedlink"><img src="<?php bloginfo('template_directory'); ?>/images/feed-icon.gif" alt="RSS" /></a></span>
        <ul>
          <?php wp_get_archives('type=postbypost&limit=10'); ?>
        </ul>
      </li>
      <?php /* end for Sidebar Widgets */ endif; ?>
    </ul>
  </div>
  <div class="right-sidecolumn">
    <ul>
      <?php /* if the Sidebar Widgets plugin is enabled */ if ( function_exists('dynamic_sidebar') && dynamic_sidebar(2) ) : else : ?>
      <li>
        <h2>
          <?php _e('Subscribe','unnamed'); ?>
        </h2>
        <ul>
          <li><a href="<?php bloginfo('rss2_url'); ?>" title="<?php _e('RSS Feed for Blog Entries'); ?>">Entries
            RSS</a></li>
          <li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php _e('RSS Feed for all Comments');?>">Comments
            RSS</a></li>
        </ul>
      </li>
      <?php /* end for Sidebar Widgets */ endif; ?>
    </ul>
  </div>
  <?php } ?>
</div>
<div class="clear"></div>
